﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Lastgang
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            int a = 42;
            //Buch c = new Buch();
            //c.titel = "ddckdfkdrfzu";
            Betriebsmittel b = new Betriebsmittel();
            //double d = b.bestimmeLeistung(3.7);

            Polyline poly = new Polyline();

            for (int stunde = 0; stunde < 24; stunde++)
            {
                for (int minute = 0; minute < 60; minute++)
                {
                    double zeit = stunde + minute / 60.0;
                    double p = b.bestimmeLeistung(zeit);
                    double x = zeit / 24.0 * zeichenfläche.Width;
                    // p an Oberkante: 100 W
                    double y = (1.0 - p / 100.0) * zeichenfläche.Height;
                    Point punkt = new Point(x, y);
                    poly.Points.Add(punkt);
                }
            }

            poly.Stroke = Brushes.Red;
            poly.StrokeThickness = 2.0;
            zeichenfläche.Children.Add(poly);
        }
    }
}
